Bug 497037 - WUI adding virtual machine errors 3 bugs
WUI adding virtual machine errors 3 bugs
Status: CLOSED WONTFIX
Product: Virtualization Tools
Classification: Community
Component: ovirt-server-suite (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Scott Seago
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 00:46 EDT by william
Modified: 2014-07-06 15:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-21 13:21:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vm boot parameters (140.72 KB, image/png)
2009-04-22 00:49 EDT, william
no flags Details
Change the edit virtual machine button into a save settings button (457 bytes, patch)
2009-04-22 15:34 EDT, william
no flags Details | Diff

  None (edit)
Description william 2009-04-22 00:46:52 EDT
Description of problem:
When adding a virtual machine and selecting an iso image to boot with and then add the virtual machine not with start vm now. Then the vm has the parameters to boot from network not booting from the cd image you have selected. See screenshots. Then when you say edit and select again the cd image(sometimes you get what mccgrath has already noticed: see https://www.redhat.com/archives/ovirt-devel/2009-April/msg00122.html) then you should get a "save" or "update" button but it say's "edit virtual machine". Then when you save the changes the window doesn't close.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Add a virtual machine
2. don't start the vm now
3. Look at the boot parameters in the webui from the virtual machine. It wil say pxe boot.
4. Then editing the vm results many times in no images from cobbler: https://www.redhat.com/archives/ovirt-devel/2009-April/msg00122.html
5. Save settings?? No button save but only a button edit virtual machine, but i am already editing the virtual machin,e where can i save the settings?


  
Actual results:


Expected results:


Additional info:
Comment 1 william 2009-04-22 00:49:21 EDT
Created attachment 340672 [details]
vm boot parameters

this is the ui showing the boot parameters when clicking on "add virtual machine"
Comment 2 william 2009-04-22 15:34:01 EDT
Created attachment 340795 [details]
Change the edit virtual machine button into a save settings button

In the UI when editing the vm settings you get a button "Edit virtual machine" but it should say "Save settings"
Comment 3 william 2009-05-27 01:15:58 EDT
This bug can be closed.

I have tested this in the latest cvs from date 27-5-2009 and all works ok now.

With kind regards 

William
Comment 4 Jason Guiditta 2009-05-27 10:32:04 EDT
patch from william has been pushed, problem appears resolved.
Comment 5 Jason Guiditta 2009-06-03 11:31:18 EDT
Turned out to not be fixed. This ismost likely a javascript issue.  To clarify the problem:
* If you go to the 'create vm' dialog and select something from the operating system picklist other that 'pxe', then add a storage volume and come back, the picklist will reset tp 'pxe'.  I am almost positive this is just a matter of picklist state not being saved when we go off to 'create volume'.  Need to either do this ourselves, or use the jq form plugin (which we do, might just be using it wrong)

Note You need to log in before you can comment on or make changes to this bug.